unit TimeDem;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls, Psock, NMTime;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    StatusBar1: TStatusBar;
    Label3: TLabel;
    NMTime1: TNMTime;
    procedure Button1Click(Sender: TObject);
    procedure NMTime1Connect(Sender: TObject);
    procedure NMTime1ConnectionFailed(Sender: TObject);
    procedure NMTime1Disconnect(Sender: TObject);
    procedure NMTime1HostResolved(Sender: TComponent);
    procedure NMTime1InvalidHost(var Handled: Boolean);
    procedure NMTime1Status(Sender: TComponent; Status: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
const
   StdCap = '  : ';

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  NMTime1.Host:=Edit1.Text;
  NMTime1.Port:=StrToInt(Edit2.Text) ;
  NMTime1.Timeout:=30000;
  Label3.Caption:=StdCap+NMTime1.TimeStr;
end;

procedure TForm1.NMTime1Connect(Sender: TObject);
begin
   StatusBar1.SimpleText:=' ';
end;

procedure TForm1.NMTime1ConnectionFailed(Sender: TObject);
begin
   ShowMessage(' '); 
end;

procedure TForm1.NMTime1Disconnect(Sender: TObject);
begin
    if StatusBar1<>nil then
       StatusBar1.SimpleText:=' ';
end;

procedure TForm1.NMTime1HostResolved(Sender: TComponent);
begin
   StatusBar1.SimpleText:='  ';
end;

procedure TForm1.NMTime1InvalidHost(var Handled: Boolean);
var
   TmpStr: String;
begin
  if (InputQuery('   ', '  ', TmpStr)) then
    begin
        NMTime1.Host:=TmpStr;
        Edit1.Text:=TmpStr;
        handled:=true;
   end;
end;

procedure TForm1.NMTime1Status(Sender: TComponent; Status: String);
begin
   if (StatusBar1<>nil) then
        StatusBar1.SimpleText:=Status;
end;

end.
